## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 25;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libmodplug
Version:        0.8.9.0
Release:        %autorelease
Epoch:          1
Summary:        Modplug mod music file format library
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://downloads.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.gz
# Fedora specific, no need to send upstream
Patch0:         %{name}-0.8.9.0-timiditypaths.patch

BuildRequires: gcc, gcc-c++
BuildRequires: make
Suggests:      %{_sysconfdir}/timidity.cfg

%description
%{summary}.


%package        devel
Summary:        Development files for the Modplug mod music file format library
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires:       gcc-c++

%description    devel
%{summary}.

%prep
%autosetup -p1
sed -i -e 's/\r//g' ChangeLog

%build
%configure
%make_build V=1

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%check
make check

%files
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_libdir}/libmodplug.so.*

%files devel
%{_includedir}/libmodplug/
%{_libdir}/libmodplug.so
%{_libdir}/pkgconfig/libmodplug.pc

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat May 25 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:0.8.9.0-24
- Add patch strip NUM

* Sat May 25 2024 Antonio Trande <sagitter@fedoraproject.org> - 1:0.8.9.0-23
- SPEC file update

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 05 2021 Tom Stellard <tstellar@redhat.com> - 1:0.8.9.0-14
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 22 2018 sagitter <sagitter@fedoraproject.org> - 1:0.8.9.0-8
- Add gcc gcc-c++ BR

* Sat Feb 17 2018 sagitter <sagitter@fedoraproject.org> - 1:0.8.9.0-7
- Use %%%%ldconfig_scriptlets

* Wed Feb 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1:0.8.9.0-6
- Remove %%clean section

* Tue Feb 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1:0.8.9.0-5
- Remove BuildRoot definition

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Apr 25 2017 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.9.0-1
- Update to 0.8.9.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.8.8.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.5-8
- Remove unnecessary %%defattr
- Suggest timidity where available

* Tue Jan 26 2016 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.5-7
- Suggest timidity where available

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1:0.8.8.5-5
- Rebuilt for GCC 5 C++11 ABI change

* Wed Jan 28 2015 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.5-4
- Ship COPYING as %%license where available

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1:0.8.8.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 11 2014 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.5-1
- Update to 0.8.8.5 (CVE-2013-4233, CVE-2013-4234, #995580).

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Aug 07 2011 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.4-1
- Update to 0.8.8.4 (security, #728371).

* Wed May 11 2011 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.3-4
- Drop dependency on /etc/timidity.cfg, it's not worth the 100MB+ it pulls
  in.

* Mon May 09 2011 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.3-3
- Don't require /etc/timidity.cfg on EL-6, there is no suitable provider
  package available in it at the moment.

* Sun May 08 2011 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.3-1
- Update to 0.8.8.3 (security, CVE-2011-1761). Require /etc/timidity.cfg
  for ABC and MIDI.

* Sat Apr 02 2011 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.2-1
- Update to 0.8.8.2.

* Tue Feb 08 2011 Dennis Gilmore <dennis@ausil.us> - 1:0.8.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 28 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.8.1-3
- dist-git conversion

* Sun Jun 20 2010 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.8.1-2
- Make -devel main package dependency ISA qualified.

* Mon May 31 2010 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.8.1-1
- Update to 0.8.8.1 (#580021). - Drop explicit pkgconfig dependency from
  -devel (autodetected in F-12+).

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 1:0.8.7-3
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 1:0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.7-1
- Update to 0.8.7 (security, #496834).

* Tue Apr 14 2009 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.5-1
- Update to 0.8.5, should fix #483146.

* Wed Feb 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 1:0.8.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 09 2008 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.4-3
- Rebuild.

* Tue Aug 21 2007 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.4-2
- Rebuild.

* Thu Apr 05 2007 Ville Skyttä <scop@fedoraproject.org> - 1:0.8.4-1
- 0.8.4.

* Tue Oct 03 2006 Ville Skyttä <scop@fedoraproject.org> - 1:0.8-5
- Apply patch for CVE-2006-4192 (from Debian).

* Mon Aug 28 2006 Ville Skyttä <scop@fedoraproject.org> - 1:0.8-4
- Successfully rebuilt.

* Mon Aug 28 2006 Ville Skyttä <scop@fedoraproject.org> - 1:0.8-3
- Rebuild.

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 1:0.8-2
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Fri Mar 24 2006 Ville Skyttä <scop@fedoraproject.org> - 1:0.8-1
- 0.8, 64bit patch included upstream.

* Mon Feb 13 2006 Ville Skyttä <scop@fedoraproject.org> - 1:0.7-9
- Rebuild, cosmetics.

* Tue Aug 23 2005 Ville Skyttä <scop@fedoraproject.org> - 1:0.7-8
- Don't ship static libs. 0.7-3 - Fix x86_64, thanks to Adam Goode
  (#166127).

* Thu Mar 17 2005 Ville Skyttä <scop@fedoraproject.org> - 1:0.7-7
- Restore incorrectly removed Epoch from -devel dependency, other minor
  tweaks.

* Sat Mar 05 2005 Matthias Saou <thias@fedoraproject.org> - 1:0.7-6
- Further mass cleanup. One or more apply : - Remove (hopefully) all zero
  epoch remains. - Remove trailing spaces and tabs. - Keep consistency
  between tabs and spaces. - Clean up summary.

* Fri Dec 10 2004 Michael Schwendt <mschwendt@fedoraproject.org> - 1:0.7-5
- Bump release, strip off fedora.us prefix and dist tag.

* Wed Nov 24 2004 gafton <gafton@fedoraproject.org> - 1:0.7-4
- Fix braindead typo from the original import

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 1:0.7-3
- auto-import libmodplug-0.7-0.fdr.1.2 from
  libmodplug-0.7-0.fdr.1.2.src.rpm

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 1:0.7-2
- auto-import libmodplug-0.7-0.fdr.1.1 from
  libmodplug-0.7-0.fdr.1.1.src.rpm

* Mon Nov 08 2004 cvsextras <cvsextras@fedoraproject.org> - 1:0.7-1
- auto-import changelog data from libmodplug-0.7-0.fdr.1.rh90.src.rpm
  0.7-0.fdr.1 - First build, separated from xmms-modplug. - Bump Epoch.
## END: Generated by rpmautospec
